Bug 487010 - channel.listSoftwareChannels deprecated return attributes mixed up
channel.listSoftwareChannels deprecated return attributes mixed up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-02-23 12:08 EST by Justin Sherrill
Modified: 2009-09-10 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-02-23 12:08:39 EST
At some point we removed the deprecated code in channel.software.listAllChannels and accidentally removed the non-deprecated code some how.  We need to fix this.  

Documentation in 5.1:

    *  struct (channel)
          o string "label"
          o string "name"
          o string "parent_label"
          o string "end_of_life"
          o string "arch"
          o string "channel_label" (deprecated)
          o string "channel_name" (deprecated)
          o string "channel_parent_label" (deprecated)
          o string "channel_end_of_life" (deprecated)
          o string "channel_arch" (deprecated)



Current documentation: 

struct - channel

    * string "channel_label"
    * string "channel_name"
    * string "channel_parent_label"
    * string "channel_end_of_life"
    * string "channel_arch"



Will fix the docs and the call to just be:
    * string "label"
    * string "name"
    * string "parent_label"
    * string "end_of_life"
    * string "arch"
Comment 1 Justin Sherrill 2009-02-23 12:14:41 EST
err that was listSoftwareChannels  and not listAllChannels
Comment 2 Justin Sherrill 2009-02-23 12:24:22 EST
commit	2503922096f41b455d06aa15f366045afbc4c26e

tree	a71e164a24695414cf61c486a14c28b72655ea2e	tree | snapshot

parent	5dec5f6075228f23f75f722b6f81780d0d76a036	commit | diff
Comment 3 Sayli Karmarkar 2009-04-07 16:25:25 EDT
verified and testcase updated.
Comment 4 Steve Salevan 2009-08-25 17:14:11 EDT
RELEASE_PENDING from latest Stage build...  documentation and return values check out.
Comment 5 Brandon Perkins 2009-09-10 15:54:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.